<!DOCTYPE html>
<html lang="<?php echo e(app()->getLocale()); ?>">
<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <!-- CSRF Token -->
    <meta name="csrf-token" content="<?php echo e(csrf_token()); ?>">

    <title><?php echo e(config('app.name', 'Laravel')); ?></title>

    <!-- Styles -->
    <link href="<?php echo e(asset('css/app.css')); ?>" rel="stylesheet">    
    <style>
        a { cursor: pointer; }
    </style>
    <?php echo $__env->yieldContent('css'); ?>
</head>
<body>
    <div id="app">

        <?php if(auth()->guard()->check()): ?>
            <ul id="dropdown1" class="dropdown-content">
                <li>
                    <a href="<?php echo e(route('logout')); ?>"
                        onclick="event.preventDefault();
                                 document.getElementById('logout-form').submit();">
                        Deconnexion
                    </a>
                    <form id="logout-form" action="<?php echo e(route('logout')); ?>" method="POST" style="display: none;">
                        <?php echo e(csrf_field()); ?>

                    </form>
                </li>
                <li>
                    <a class="modal-trigger" href="#ajout">Une pensée</a>
                </li>
            </ul>
        <?php endif; ?>

        <nav>
            <div class="nav-wrapper">
                <a href="<?php echo e(url('/')); ?>" class="brand-logo">&nbsp<?php echo e(config('app.name', 'Laravel')); ?></a>
                <a href="#" data-activates="mobile-demo" class="button-collapse"><i class="material-icons">menu</i></a>
                <?php if(auth()->guard()->guest()): ?>
                    <ul class="right hide-on-med-and-down">
                        <li><a href="<?php echo e(route('login')); ?>">Connexion</a></li>
                        <li><a href="<?php echo e(route('register')); ?>">Enregistrement</a></li>
                    </ul>
                    <ul class="side-nav" id="mobile-demo">
                        <li><a href="<?php echo e(route('login')); ?>">Connexion</a></li>
                        <li><a href="<?php echo e(route('register')); ?>">Enregistrement</a></li>
                    </ul>
                <?php else: ?>
                    <ul class="right hide-on-med-and-down">
                        <li><a class="dropdown-button" href="#!" data-activates="dropdown1"><?php echo e(Auth::user()->name); ?><i class="material-icons right">arrow_drop_down</i></a></li>
                    </ul>
                    <ul class="side-nav" id="mobile-demo">
                        <li><a class="dropdown-button" href="#!" data-activates="dropdown1"><?php echo e(Auth::user()->name); ?><i class="material-icons right">arrow_drop_down</i></a></li>
                    </ul>
                <?php endif; ?>
            </div>
        </nav>
        <?php echo $__env->yieldContent('content'); ?>
    </div>

    <!-- Scripts -->
    <script src="<?php echo e(asset('js/app.js')); ?>"></script>
    <script>
        $('.button-collapse').sideNav()
        $('.dropdown-button').dropdown()
        $('.modal').modal()
    </script>
</body>
</html>